mod ui;

/// Stuct to store the state of the running application
pub struct App<'a> {
    name: &'a str,
    icaos: Vec<&'a str>,
    metars: Vec<&'a str>,
    tafs: Vec<&'a str>
}

impl <'a> Default for App<'a> {
    /// Creates the default startup state for the app;
    fn default() -> Self {
        Self {
            name: "AvBag - Welcome",
            icaos: vec![],
            metars: vec![],
            tafs: vec![]
        }
    }
}